postgresql-9.1 (9.1.24-15.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * Changes applied by generate-pgdg-source:
    + Moving lib packages to component 9.1.
    + Disable plpython3 package, incompatible with Python 3.12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 24 May 2024 21:44:07 +0200

postgresql-9.1 (9.1.24-15) unstable; urgency=medium

  * Fix doc install when postgresql-client-common is not present.
  * Fix config/c-compiler.m4 for new compiler warnings.

 -- Christoph Berg <myon@debian.org>  Fri, 24 May 2024 21:44:07 +0200

postgresql-9.1 (9.1.24-14) unstable; urgency=medium

  * Add Build-Profile nopython.
  * B-D on dh-exec.
  * DH 13; drop autotools-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Apr 2024 15:28:43 +0000

postgresql-9.1 (9.1.24-13) unstable; urgency=medium

  * Test-Depend on tzdata-legacy | tzdata (<< 2023c-8).
  * Disable pgcrypto sha2 test.

 -- Christoph Berg <myon@debian.org>  Sat, 12 Aug 2023 11:34:30 +0200

postgresql-9.1 (9.1.24-12) unstable; urgency=medium

  * Fix update-alternatives when doc package is installed stand-alone.

 -- Christoph Berg <myon@debian.org>  Mon, 27 Feb 2023 10:53:02 +0100

postgresql-9.1 (9.1.24-11) unstable; urgency=medium

  * Fix plpython3 for Python 3.11 (upstream 4339e10f).

 -- Christoph Berg <myon@debian.org>  Mon, 20 Feb 2023 17:53:29 +0100

postgresql-9.1 (9.1.24-10) unstable; urgency=medium

  * Fix pl/perl test case so it will still work under Perl 5.36.

 -- Christoph Berg <myon@debian.org>  Tue, 01 Nov 2022 15:54:06 +0100

postgresql-9.1 (9.1.24-9) unstable; urgency=medium

  * Accept more plpython3 output variation for python 3.10.

 -- Christoph Berg <myon@debian.org>  Mon, 08 Aug 2022 23:42:31 +0200

postgresql-9.1 (9.1.24-8) unstable; urgency=medium

  * R³: no.
  * run-testsuite: Test only this version.

 -- Christoph Berg <myon@debian.org>  Fri, 05 Feb 2021 12:54:40 +0100

postgresql-9.1 (9.1.24-7) unstable; urgency=medium

  * plpython3: Allow both old and new version in subtransaction test.
    In test_param_names2, only test length of result as json field ordering is
    random in output on older python3 versions. Disable plpython_trigger test.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Apr 2020 09:42:09 +0200

postgresql-9.1 (9.1.24-6) unstable; urgency=medium

  * Disable building plpython2 by default. (Closes: #937310)
  * Catch python3 output variation in
    src/pl/plpython/expected/plpython_*.out.
  * debian/tests: Also run regression tests.
  * Remove obsolete Conflicts/Replaces.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Wed, 09 Oct 2019 15:29:56 +0200

postgresql-9.1 (9.1.24-5) sid-pgdg; urgency=medium

  * Disable ssl; package supports OpenSSL 1.0 only which got removed from
    unstable.
  * Remove code to exclude building library packages.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Mar 2019 09:26:42 +0100

postgresql-9.1 (9.1.24-4) sid-pgdg; urgency=medium

  * Drop explicit xz compression for .debs.
  * Depend on locales | locales-all. Suggested by Elrond, thanks!
    (Closes: #916655)
  * Build-Depend on tcl-dev instead of on a specific version.
  * initdb doesn't like LANG and LC_ALL to contradict, unset LANG and
    LC_CTYPE at test time. (Closes: #917764)

 -- Christoph Berg <myon@debian.org>  Sat, 02 Feb 2019 15:21:08 +0100

postgresql-9.1 (9.1.24-3) sid-pgdg; urgency=medium

  * Remove empty conf.d directory on purge, even when postgresql-common
    was already removed. (Closes: #877264)
  * Drop support for tcl8.5.
  * Refactor testsuite failure handling.
  * Use dh_auto_configure to correctly seed the build architecture.
  * Enable dtrace support.
  * psql uses sensible-editor, depend on sensible-utils.
  * Add lintian overrides for plugins that link no external libraries.
  * configure: Hard-code paths to /bin/mkdir -p and /bin/tar.

 -- Christoph Berg <myon@debian.org>  Thu, 01 Nov 2018 10:05:19 +0100

postgresql-9.1 (9.1.24-2) sid-pgdg; urgency=medium

  * Update watch file to use https.
  * Add missing perl test dependency (for Test::More).
  * Install NEWS in postgresql-9.1 only.
  * Remove hardening-wrapper logic, it's being removed from sid.
  * debian/control: Add alternative dependency on libssl1.0-dev.
  * libpq-dev: Remove dependency on libssl-dev (and comerr-dev and
    libkrb5-dev) to unbreak co-installation with libssl1.0-dev.
  * Cherry-pick 52f6b2e5 from 9.2 to support newer IANA timezone databases.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2017 20:14:17 +0200

postgresql-9.1 (9.1.24-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Oct 2016 16:31:29 +0200

postgresql-9.1 (9.1.23-1) unstable; urgency=medium

  * New upstream version.

    + Fix possible mis-evaluation of nested CASE-WHEN expressions
      (Heikki Linnakangas, Michael Paquier, Tom Lane)

      A CASE expression appearing within the test value subexpression of
      another CASE could become confused about whether its own test value was
      null or not.  Also, inlining of a SQL function implementing the equality
      operator used by a CASE expression could result in passing the wrong
      test value to functions called within a CASE expression in the SQL
      function's body.  If the test values were of different data types, a
      crash might result; moreover such situations could be abused to allow
      disclosure of portions of server memory.  (CVE-2016-5423)

    + Fix client programs' handling of special characters in database and role
      names (Noah Misch, Nathan Bossart, Michael Paquier)

      Numerous places in vacuumdb and other client programs could become
      confused by database and role names containing double quotes or
      backslashes.  Tighten up quoting rules to make that safe. Also, ensure
      that when a conninfo string is used as a database name parameter to
      these programs, it is correctly treated as such throughout.

      Fix handling of paired double quotes in psql's \connect and \password
      commands to match the documentation.

      Introduce a new -reuse-previous option in psql's \connect command to
      allow explicit control of whether to re-use connection parameters from a
      previous connection.  (Without this, the choice is based on whether the
      database name looks like a conninfo string, as before.)  This allows
      secure handling of database names containing special characters in
      pg_dumpall scripts.

      pg_dumpall now refuses to deal with database and role names containing
      carriage returns or newlines, as it seems impractical to quote those
      characters safely on Windows.  In future we may reject such names on the
      server side, but that step has not been taken yet.

      These are considered security fixes because crafted object names
      containing special characters could have been used to execute commands
      with superuser privileges the next time a superuser executes pg_dumpall
      or other routine maintenance operations.  (CVE-2016-5424)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 09 Aug 2016 17:43:47 +0200

postgresql-9.1 (9.1.22-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 10 May 2016 10:16:55 +0200

postgresql-9.1 (9.1.21-1) unstable; urgency=medium

  * New upstream version.
  * 02-relax-sslkey-permscheck.patch: Replace with adapted version of what
    went upstream in 9.6.
  * Stop suggesting the use of identd.
  * Modernize server package description.
  * Recommend postgresql-contrib and sysstat.

 -- Christoph Berg <myon@debian.org>  Tue, 29 Mar 2016 12:35:58 +0200

postgresql-9.1 (9.1.20-1) unstable; urgency=medium

  * New upstream version.
    + Fix infinite loops and buffer-overrun problems in regular expressions.
      Very large character ranges in bracket expressions could cause infinite
      loops in some cases, and memory overwrites in other cases.
      (CVE-2016-0773)

  * Add build-essential to test dependencies.

 -- Christoph Berg <myon@debian.org>  Wed, 10 Feb 2016 18:38:20 +0100

postgresql-9.1 (9.1.19-1) unstable; urgency=medium

  * New upstream version.

    + Fix contrib/pgcrypto to detect and report too-short crypt() salts
      (Josh Kupershmidt)

      Certain invalid salt arguments crashed the server or disclosed a few
      bytes of server memory.  We have not ruled out the viability of attacks
      that arrange for presence of confidential information in the disclosed
      bytes, but they seem unlikely.  (CVE-2015-5288)

  * Add docbook-xml to build-depends.
  * debian/rules: Remove broken "generate POT files for translators" code.
  * debian/rules: Call dh without --parallel, it's not supported upstream.
  * postgresql postrm: Don't clean {/etc,/var/lib,/var/log}/postgresql on
    purge.  (Closes: #793861)

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 06 Oct 2015 11:10:35 +0200

postgresql-9.1 (9.1.18-1) sid-pgdg; urgency=medium

  * New upstream version.
    + Fix rare failure to invalidate relation cache init file

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 10 Jun 2015 13:55:18 +0200

postgresql-9.1 (9.1.17-1) sid-pgdg; urgency=medium

  * New upstream version including the fsync fix.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 03 Jun 2015 12:20:34 +0200

postgresql-9.1 (9.1.16-2) sid-pgdg; urgency=medium

  * Fix fsync-at-startup code to not treat errors as fatal.
    (Abhijit Menon-Sen and Tom Lane, Closes: #786874)

 -- Christoph Berg <myon@debian.org>  Fri, 29 May 2015 21:14:33 +0200

postgresql-9.1 (9.1.16-1) sid-pgdg; urgency=medium

  * New upstream version.

    + Avoid possible crash when client disconnects just before the
      authentication timeout expires (Benkocs Norbert Attila)

      If the timeout interrupt fired partway through the session shutdown
      sequence, SSL-related state would be freed twice, typically causing a
      crash and hence denial of service to other sessions.  Experimentation
      shows that an unauthenticated remote attacker could trigger the bug
      somewhat consistently, hence treat as security issue. (CVE-2015-3165)

    + Improve detection of system-call failures (Noah Misch)

      Our replacement implementation of snprintf() failed to check for errors
      reported by the underlying system library calls; the main case that
      might be missed is out-of-memory situations. In the worst case this
      might lead to information exposure, due to our code assuming that a
      buffer had been overwritten when it hadn't been. Also, there were a few
      places in which security-relevant calls of other system library
      functions did not check for failure.

      It remains possible that some calls of the *printf() family of functions
      are vulnerable to information disclosure if an out-of-memory error
      occurs at just the wrong time.  We judge the risk to not be large, but
      will continue analysis in this area. (CVE-2015-3166)

    + In contrib/pgcrypto, uniformly report decryption failures as Wrong key
      or corrupt data (Noah Misch)

      Previously, some cases of decryption with an incorrect key could report
      other error message texts.  It has been shown that such variance in
      error reports can aid attackers in recovering keys from other systems.
      While it's unknown whether pgcrypto's specific behaviors are likewise
      exploitable, it seems better to avoid the risk by using a
      one-size-fits-all message. (CVE-2015-3167)

  * Repository moved to git, update Vcs headers.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 20 May 2015 13:37:59 +0200

postgresql-9.1 (9.1.15-1) sid-pgdg; urgency=medium

  [ Martin Pitt ]
  * Add missing logrotate test dependency.

  [ Christoph Berg ]
  * New upstream release.
    + Fix buffer overruns in to_char() (CVE-2015-0241)
    + Fix buffer overruns in contrib/pgcrypto (CVE-2015-0243)
    + Fix possible loss of frontend/backend protocol synchronization after an
      error (CVE-2015-0244)
    + Fix information leak via constraint-violation error messages
      (CVE-2014-8161)
  * Add dependencies on libkrb5-dev next to krb5-multidev.

 -- Christoph Berg <myon@debian.org>  Wed, 04 Feb 2015 23:16:52 +0100

postgresql-9.1 (9.1.14-1) unstable; urgency=medium

  * New upstream release.
    + Secure Unix-domain sockets of temporary postmasters started during make
      check (Noah Misch)

      Any local user able to access the socket file could connect as the
      server's bootstrap superuser, then proceed to execute arbitrary code as
      the operating-system user running the test, as we previously noted in
      CVE-2014-0067. This change defends against that risk by placing the
      server's socket in a temporary, mode 0700 subdirectory of /tmp.

  * Remove our pg_regress patches to support --host=/path.
  * Remove the tcl8.6 patch, went upstream.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 23 Jul 2014 12:58:45 +0200

postgresql-9.1 (9.1.13-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build with tcl8.6 where available (>= Jessie, >= trusty).
  * Compile with -fno-omit-frame-pointer on amd64 to facilitate hierarchical
    profile generation. (Closes: #730134)
  * Remove obsolete configure option --with-tkconfig.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Mar 2014 08:25:33 +0100

postgresql-9.1 (9.1.12-1) unstable; urgency=medium

  * New upstream security/bugfix release.

    + Shore up GRANT ... WITH ADMIN OPTION restrictions (Noah Misch)

      Granting a role without ADMIN OPTION is supposed to prevent the grantee
      from adding or removing members from the granted role, but this
      restriction was easily bypassed by doing SET ROLE first. The security
      impact is mostly that a role member can revoke the access of others,
      contrary to the wishes of his grantor. Unapproved role member additions
      are a lesser concern, since an uncooperative role member could provide
      most of his rights to others anyway by creating views or SECURITY
      DEFINER functions. (CVE-2014-0060)

    + Prevent privilege escalation via manual calls to PL validator functions
      (Andres Freund)

      The primary role of PL validator functions is to be called implicitly
      during CREATE FUNCTION, but they are also normal SQL functions that a
      user can call explicitly. Calling a validator on a function actually
      written in some other language was not checked for and could be
      exploited for privilege-escalation purposes. The fix involves adding a
      call to a privilege-checking function in each validator function.
      Non-core procedural languages will also need to make this change to
      their own validator functions, if any. (CVE-2014-0061)

    + Avoid multiple name lookups during table and index DDL (Robert Haas,
      Andres Freund)

      If the name lookups come to different conclusions due to concurrent
      activity, we might perform some parts of the DDL on a different table
      than other parts. At least in the case of CREATE INDEX, this can be used
      to cause the permissions checks to be performed against a different
      table than the index creation, allowing for a privilege escalation
      attack. (CVE-2014-0062)

    + Prevent buffer overrun with long datetime strings (Noah Misch)

      The MAXDATELEN constant was too small for the longest possible value of
      type interval, allowing a buffer overrun in interval_out(). Although the
      datetime input functions were more careful about avoiding buffer
      overrun, the limit was short enough to cause them to reject some valid
      inputs, such as input containing a very long timezone name. The ecpg
      library contained these vulnerabilities along with some of its own.
      (CVE-2014-0063)

    + Prevent buffer overrun due to integer overflow in size calculations
      (Noah Misch, Heikki Linnakangas)

      Several functions, mostly type input functions, calculated an allocation
      size without checking for overflow. If overflow did occur, a too-small
      buffer would be allocated and then written past. (CVE-2014-0064)

    + Prevent overruns of fixed-size buffers (Peter Eisentraut, Jozef Mlich)

      Use strlcpy() and related functions to provide a clear guarantee that
      fixed-size buffers are not overrun. Unlike the preceding items, it is
      unclear whether these cases really represent live issues, since in most
      cases there appear to be previous constraints on the size of the input
      string. Nonetheless it seems prudent to silence all Coverity warnings of
      this type. (CVE-2014-0065)

    + Avoid crashing if crypt() returns NULL (Honza Horak, Bruce Momjian)

      There are relatively few scenarios in which crypt() could return NULL,
      but contrib/chkpass would crash if it did. One practical case in which
      this could be an issue is if libc is configured to refuse to execute
      unapproved hashing algorithms (e.g., "FIPS mode"). (CVE-2014-0066)

    + Document risks of make check in the regression testing instructions
      (Noah Misch, Tom Lane)

      Since the temporary server started by make check uses "trust"
      authentication, another user on the same machine could connect to it as
      database superuser, and then potentially exploit the privileges of the
      operating-system user who started the tests. A future release will
      probably incorporate changes in the testing procedure to prevent this
      risk, but some public discussion is needed first. So for the moment,
      just warn people against using make check when there are untrusted users
      on the same machine. (CVE-2014-0067)

  * The upstream tarballs no longer contain a plain HISTORY file, but point to
    the html documentation. Note the location of these files in our
    changelog.gz file.
  * Re-enable library build for bpo.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 19 Feb 2014 11:56:27 +0100

postgresql-9.1 (9.1.11-1) unstable; urgency=low

  [ Martin Pitt ]
  * Stop building client-side libraries on Ubuntu, 14.04 moves to -9.3.

  [ Christoph Berg ]
  * New upstream security/bug fix release:

    + Fix "VACUUM"'s tests to see whether it can update relfrozenxid
      (Andres Freund)

      In some cases "VACUUM" (either manual or autovacuum) could
      incorrectly advance a table's relfrozenxid value, allowing tuples
      to escape freezing, causing those rows to become invisible once
      2^31 transactions have elapsed. The probability of data loss is
      fairly low since multiple incorrect advancements would need to
      happen before actual loss occurs, but it's not zero. Users
      upgrading from releases 9.0.4 or 8.4.8 or earlier are not affected,
      but all later versions contain the bug.
      The issue can be ameliorated by, after upgrading, vacuuming all
      tables in all databases while having vacuum_freeze_table_age set to
      zero. This will fix any latent corruption but will not be able to
      fix all pre-existing data errors. However, an installation can be
      presumed safe after performing this vacuuming if it has executed
      fewer than 2^31 update transactions in its lifetime (check this
      with SELECT txid_current() < 2^31).

    + Fix initialization of "pg_clog" and "pg_subtrans" during hot
      standby startup (Andres Freund, Heikki Linnakangas)

      This bug can cause data loss on standby servers at the moment they
      start to accept hot-standby queries, by marking committed
      transactions as uncommitted. The likelihood of such corruption is
      small unless, at the time of standby startup, the primary server
      has executed many updating transactions since its last checkpoint.
      Symptoms include missing rows, rows that should have been deleted
      being still visible, and obsolete versions of updated rows being
      still visible alongside their newer versions.
      This bug was introduced in versions 9.3.0, 9.2.5, 9.1.10, and
      9.0.14. Standby servers that have only been running earlier
      releases are not at risk. It's recommended that standby servers
      that have ever run any of the buggy releases be re-cloned from the
      primary (e.g., with a new base backup) after upgrading.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Dec 2013 09:12:50 +0100

postgresql-9.1 (9.1.10-1) unstable; urgency=low

  * New upstream bug fix release. See changelog.gz for details.
  * Drop 00git-perl5.18.patch, applied upstream.
  * Add 04-config-update.patch: Refresh config.{guess,sub} to latest version
    for enabling ports, in particular arm64 and the upcoming ppc64el.

 -- Martin Pitt <mpitt@debian.org>  Wed, 09 Oct 2013 10:00:31 +0200

postgresql-9.1 (9.1.9-5) unstable; urgency=low

  [ Christoph Berg ]
  * Pull 82b0102650cf85268145a46f0ab488bacf6599a1 from upstream head to better
    support VPATH builds of PGXS modules, and make the install targets depend
    on installdirs.

  [ Martin Pitt ]
  * debian/rules: Still build the client-side libraries on Ubuntu.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Sep 2013 12:24:21 -0400

postgresql-9.1 (9.1.9-4) unstable; urgency=low

  * debian/rules: Ignore test suite failures on hurd (unimplemented
    semaphores) and kfreebsd-* (PL tests known to fail).

 -- Martin Pitt <mpitt@debian.org>  Wed, 28 Aug 2013 10:28:01 +0200

postgresql-9.1 (9.1.9-3) unstable; urgency=low

  [ Martin Pitt ]
  * debian/rules: Support multi-arch locations of {tcl,tk}-config.
  * debian/rules: Don't build with kerberos and LDAP support for
    DEB_STAGE=stage1 to aid with bootstrapping.
  * debian/tests/control: Add missing net-tools dependency (for ifconfig).
  * Add 00git-aarch64.patch: Add ARM64 (aarch64) support to s_lock.h.
    Backported from upstream git.
  * debian/rules: Call dh with --parallel.
  * Add 00git-perl5.18.patch: Adjust PL/Perl test cases to also work for Perl
    5.18. Backported from upstream 9.1 stable branch.
  * debian/rules: Don't build client-side libraries unless we have a pgdg
    version, as these are built by -9.3 now.

  [ Christoph Berg ]
  * Pull 6697aa2bc25c83b88d6165340348a31328c35de6 from upstream head to
    better support VPATH builds of PGXS modules.
  * debian/rules, 60-pg_regress_socketdir: Remove the temporary patches from
    pg_regress, and teach pg_regress to support unix socket dirs in --host.
    Use a random port number as well.
  * debian/rules: Use "make check-world" to run the regression tests. Thanks
    to Peter Eisentraut for the suggestion.
  * 61-extra_regress_opts: Add EXTRA_REGRESS_OPTS in Makefile.global(.in) and
    in src/interfaces/ecpg/test/Makefile.

 -- Martin Pitt <mpitt@debian.org>  Tue, 27 Aug 2013 18:08:50 +0200

postgresql-9.1 (9.1.9-2) unstable; urgency=low

  * debian/copyright: Fix syntax errors.
  * debian/rules: Build with -fno-aggressive-loop-optimizations with gcc 4.8
    to avoid generating bad code due to the broken usage of variable-length
    arrays. This is fixed properly in 9.2, but the patch does not backport
    well. (Closes: #701340)

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Jun 2013 08:12:14 +0200

postgresql-9.1 (9.1.9-1) unstable; urgency=high

  * Urgency high because of critical remote data destruction vulnerability.
  * New upstream security/bug fix release:
    - Fix insecure parsing of server command-line switches.
      A connection request containing a database name that begins with
      "-" could be crafted to damage or destroy files within the server's
      data directory, even if the request is eventually rejected.
      [CVE-2013-1899] (Closes: #704479)
    - Reset OpenSSL randomness state in each postmaster child process.
      This avoids a scenario wherein random numbers generated by
      "contrib/pgcrypto" functions might be relatively easy for another
      database user to guess. The risk is only significant when the
      postmaster is configured with ssl = on but most connections don't
      use SSL encryption. [CVE-2013-1900]
    - Make REPLICATION privilege checks test current user not
      authenticated user.
      An unprivileged database user could exploit this mistake to call
      pg_start_backup() or pg_stop_backup(), thus possibly interfering
      with creation of routine backups. [CVE-2013-1901]
    - Fix GiST indexes to not use "fuzzy" geometric comparisons when it's
      not appropriate to do so.
      The core geometric types perform comparisons using "fuzzy"
      equality, but gist_box_same must do exact comparisons, else GiST
      indexes using it might become inconsistent. After installing this
      update, users should "REINDEX" any GiST indexes on box, polygon,
      circle, or point columns, since all of these use gist_box_same.
    - Fix erroneous range-union and penalty logic in GiST indexes that
      use "contrib/btree_gist" for variable-width data types, that is
      text, bytea, bit, and numeric columns.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      useless index bloat. Users are advised to "REINDEX" such indexes
      after installing this update.
    - Fix bugs in GiST page splitting code for multi-column indexes.
      These errors could result in inconsistent indexes in which some
      keys that are present would not be found by searches, and also in
      indexes that are unnecessarily inefficient to search. Users are
      advised to "REINDEX" multi-column GiST indexes after installing
      this update.
    - See HISTORY/changelog.gz for details about the other bug fixes.
  * Bump Standards-Version to 3.9.4 (no changes necessary).

 -- Martin Pitt <mpitt@debian.org>  Tue, 02 Apr 2013 10:26:14 +0200

postgresql-9.1 (9.1.8-1) unstable; urgency=medium

  [ Martin Pitt ]
  * Add autopkgtest, moved from postgresql-common.
  * debian/rules: Only build the error codes and the plpython subtree for the
    "python3" flavor, to cut down build time.
  * Add missing docbook build dependency. (Closes: #697618)

  [ Christoph Berg ]
  * New upstream version.
    + Prevent execution of enum_recv from SQL
      The function was misdeclared, allowing a simple SQL command to crash the
      server.  In principle an attacker might be able to use it to examine the
      contents of server memory.  Our thanks to Sumit Soni (via Secunia SVCRP)
      for reporting this issue. (CVE-2013-0255)

 -- Christoph Berg <myon@debian.org>  Tue, 05 Feb 2013 14:15:33 +0100

postgresql-9.1 (9.1.7-1) unstable; urgency=low

  * New upstream bug fix release. See HISTORY/changelog.gz for details.
  * Add 03-python-includedirs.patch: Detect both python3.3 include locations.
    Thanks Dmitrijs Ledkovs!

 -- Martin Pitt <mpitt@debian.org>  Mon, 03 Dec 2012 22:32:35 +0000

postgresql-9.1 (9.1.6-1) unstable; urgency=medium

  * Urgency medium because of data loss bug fix.
  * New upstream bug fix release:
    - Fix persistence marking of shared buffers during WAL replay.
      This mistake can result in buffers not being written out during
      checkpoints, resulting in data corruption if the server later
      crashes without ever having written those buffers. Corruption can
      occur on any server following crash recovery, but it is
      significantly more likely to occur on standby slave servers since
      those perform much more WAL replay. There is a low probability of
      corruption of btree and GIN indexes. There is a much higher
      probability of corruption of table "visibility maps". Fortunately,
      visibility maps are non-critical data in 9.1, so the worst
      consequence of such corruption in 9.1 installations is transient
      inefficiency of vacuuming. Table data proper cannot be corrupted by
      this bug.
      While no index corruption due to this bug is known to have occurred
      in the field, as a precautionary measure it is recommended that
      production installations "REINDEX" all btree and GIN indexes at a
      convenient time after upgrading to 9.1.6.
      Also, if you intend to do an in-place upgrade to 9.2.X, before
      doing so it is recommended to perform a "VACUUM" of all tables
      while having vacuum_freeze_table_age set to zero. This will ensure
      that any lingering wrong data in the visibility maps is corrected
      before 9.2.X can depend on it. vacuum_cost_delay can be adjusted to
      reduce the performance impact of vacuuming, while causing it to
      take longer to finish.
    - See HISTORY/changelog.gz for the other bug fixes.
  * debian/rules: Compress all binaries with xz. Thanks Cyril Brulebois!
    (Closes: #688678)

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Sep 2012 05:40:23 +0200

postgresql-9.1 (9.1.5-2) unstable; urgency=low

  * debian/rules: Re-enable hardening functions (regression from 9.1.3-2 when
    hardening-wrapper is not installed). Use "hardening=all", but disable
    "pie" (as that's not compatible with -fPIC) and add -pie to CFLAGS
    explicitly. Also drop the explicit "-Wl,-z,now" linker option, as this is
    now implied with "all". (LP: #1039618)
  * Fix upgrades from older 9.1 releases in stable Ubuntu -updates/-security
    releasese. The strict "<< 9.1.4-2~" check for moving pg_basebackup.1.gz is
    not sufficient, as Ubuntu stables have newer upstream releases by now.
    - debian/control: Move Breaks/Replaces: from static version to
      ${binary:Version}.
    - debian/postgresql-9.1.preinst: Also fix the alternatives when upgrading
      from a -0something version.
    - (LP: #1043449)

 -- Martin Pitt <mpitt@debian.org>  Fri, 31 Aug 2012 09:54:27 +0200

postgresql-9.1 (9.1.5-1) unstable; urgency=medium

  * Urgency medium due to security fixes and bug fixes which should reach
    Wheezy quickly.
  * New upstream bug fix/security release:
    - Prevent access to external files/URLs via XML entity references.
      xml_parse() would attempt to fetch external files or URLs as needed
      to resolve DTD and entity references in an XML value, thus allowing
      unprivileged database users to attempt to fetch data with the
      privileges of the database server. While the external data wouldn't
      get returned directly to the user, portions of it could be exposed
      in error messages if the data didn't parse as valid XML; and in any
      case the mere ability to check existence of a file might be useful
      to an attacker. (CVE-2012-3489)
    - Prevent access to external files/URLs via "contrib/xml2"'s
      xslt_process().
      libxslt offers the ability to read and write both files and URLs
      through stylesheet commands, thus allowing unprivileged database
      users to both read and write data with the privileges of the
      database server. Disable that through proper use of libxslt's
      security options. (CVE-2012-3488)
      Also, remove xslt_process()'s ability to fetch documents and
      stylesheets from external files/URLs. While this was a documented
      "feature", it was long regarded as a bad idea. The fix for
      CVE-2012-3489 broke that capability, and rather than expend effort
      on trying to fix it, we're just going to summarily remove it.
    - Lots of other bug fixes, see HISTORY/changelog.gz.

 -- Martin Pitt <mpitt@debian.org>  Fri, 17 Aug 2012 14:41:52 +0200

postgresql-9.1 (9.1.4-3) unstable; urgency=medium

  Urgency medium: Trivial changes, and fixes RC bug.

  [ Christoph Berg ]
  * debian/source/options: Ignore test suite .sql files, to fix building
    twice in a row; ignore .bzr-builddeb/default.conf so bzr checkouts can be
    built using dpkg-buildpackage.

  [ Martin Pitt ]
  * debian/postgresql-9.1.postrm: Do not remove the directories
    /var/{lib,log}/postgresql/, they are owned by the postgresql-common
    package. (Closes: #681966)

 -- Martin Pitt <mpitt@debian.org>  Sat, 21 Jul 2012 16:53:55 +0200

postgresql-9.1 (9.1.4-2) unstable; urgency=low

  [ Christoph Berg ]
  * Some cosmetic changes to control and rules file.
  * Add myself to Uploaders.

  [ Martin Pitt ]
  * Move pg_basebackup *.mo files and man page to -client-9.2. Thanks to Peter
    Eisentraut for spotting this. (Closes: #674421)
  * debian/postgresql-9.1.preinst: Remove postmaster.1.gz alternative on
    upgrades to this version, so that the postinst can rebuild it. This is
    necessary to drop pg_basebackup.1.gz from the server alternatives group,
    so that it can go into the client group.
  * debian/postgresql-9.1.preinst: Drop obsolete transition code.
  * debian/rules: Set -DLINUX_OOM_ADJ in CPPFLAGS, not in CFLAGS. Thanks Peter
    Eisentraut. (Closes: #668300)

 -- Martin Pitt <mpitt@debian.org>  Fri, 22 Jun 2012 10:35:38 +0200

postgresql-9.1 (9.1.4-1) unstable; urgency=medium

  * Urgency medium due to security fixes.
  * New upstream bug fix/security release:
    - Fix incorrect password transformation in "contrib/pgcrypto"'s DES
      crypt() function.
      If a password string contained the byte value 0x80, the remainder
      of the password was ignored, causing the password to be much weaker
      than it appeared. With this fix, the rest of the string is properly
      included in the DES hash. Any stored password values that are
      affected by this bug will thus no longer match, so the stored
      values may need to be updated. (CVE-2012-2143)
    - Ignore SECURITY DEFINER and SET attributes for a procedural
      language's call handler. Applying such attributes to a call handler
      could crash the server. (CVE-2012-2655)
    - Make "contrib/citext"'s upgrade script fix collations of citext
      arrays and domains over citext.
      Release 9.1.2 provided a fix for collations of citext columns and
      indexes in databases upgraded or reloaded from pre-9.1
      installations, but that fix was incomplete: it neglected to handle
      arrays and domains over citext. This release extends the module's
      upgrade script to handle these cases. As before, if you have
      already run the upgrade script, you'll need to run the collation
      update commands by hand instead. See the 9.1.2 release notes for
      more information about doing this.
    - Allow numeric timezone offsets in timestamp input to be up to 16
      hours away from UTC. Some historical time zones have offsets larger than
      15 hours, the previous limit. This could result in dumped data values
      being rejected during reload.
    - Fix timestamp conversion to cope when the given time is exactly the
      last DST transition time for the current timezone.
      This oversight has been there a long time, but was not noticed
      previously because most DST-using zones are presumed to have an
      indefinite sequence of future DST transitions.
    - Fix text to name and char to name casts to perform string
      truncation correctly in multibyte encodings.
    - Fix memory copying bug in to_tsquery().
    - Ensure txid_current() reports the correct epoch when executed in
      hot standby.
    - Fix planner's handling of outer PlaceHolderVars within subqueries.
      This bug concerns sub-SELECTs that reference variables coming from
      the nullable side of an outer join of the surrounding query. In
      9.1, queries affected by this bug would fail with "ERROR:
      Upper-level PlaceHolderVar found where not expected". But in 9.0
      and 8.4, you'd silently get possibly-wrong answers, since the value
      transmitted into the subquery wouldn't go to null when it should.
    - Fix planning of UNION ALL subqueries with output columns that are
      not simple variables.
      Planning of such cases got noticeably worse in 9.1 as a result of a
      misguided fix for "MergeAppend child's targetlist doesn't match
      MergeAppend" errors. Revert that fix and do it another way.
    - Fix slow session startup when pg_attribute is very large.
      If pg_attribute exceeds one-fourth of shared_buffers, cache
      rebuilding code that is sometimes needed during session start would
      trigger the synchronized-scan logic, causing it to take many times
      longer than normal. The problem was particularly acute if many new
      sessions were starting at once.
    - Ensure sequential scans check for query cancel reasonably often.
      A scan encountering many consecutive pages that contain no live
      tuples would not respond to interrupts meanwhile.
    - Ensure the Windows implementation of PGSemaphoreLock() clears
      ImmediateInterruptOK before returning.
      This oversight meant that a query-cancel interrupt received later
      in the same query could be accepted at an unsafe time, with
      unpredictable but not good consequences.
    - Show whole-row variables safely when printing views or rules.
      Corner cases involving ambiguous names (that is, the name could be
      either a table or column name of the query) were printed in an
      ambiguous way, risking that the view or rule would be interpreted
      differently after dump and reload. Avoid the ambiguous case by
      attaching a no-op cast.
    - Fix "COPY FROM" to properly handle null marker strings that
      correspond to invalid encoding.
      A null marker string such as E'\\0' should work, and did work in
      the past, but the case got broken in 8.4.
    - Fix "EXPLAIN VERBOSE" for writable CTEs containing RETURNING
      clauses.
    - Fix "PREPARE TRANSACTION" to work correctly in the presence of
      advisory locks.
      Historically, "PREPARE TRANSACTION" has simply ignored any
      session-level advisory locks the session holds, but this case was
      accidentally broken in 9.1.
    - Fix truncation of unlogged tables.
    - Ignore missing schemas during non-interactive assignments of
      search_path.
      This re-aligns 9.1's behavior with that of older branches.
      Previously 9.1 would throw an error for nonexistent schemas
      mentioned in search_path settings obtained from places such as
      "ALTER DATABASE SET".
    - Fix bugs with temporary or transient tables used in extension
      scripts.
      This includes cases such as a rewriting "ALTER TABLE" within an
      extension update script, since that uses a transient table behind
      the scenes.
    - Ensure autovacuum worker processes perform stack depth checking
      properly.
      Previously, infinite recursion in a function invoked by
      auto-"ANALYZE" could crash worker processes.
    - Fix logging collector to not lose log coherency under high load.
      The collector previously could fail to reassemble large messages if
      it got too busy.
    - Fix logging collector to ensure it will restart file rotation after
      receiving SIGHUP.
    - Fix "too many LWLocks taken" failure in GiST indexes.
    - Fix WAL replay logic for GIN indexes to not fail if the index was
      subsequently dropped.
    - Correctly detect SSI conflicts of prepared transactions after a
      crash.
    - Avoid synchronous replication delay when committing a transaction
      that only modified temporary tables.
      In such a case the transaction's commit record need not be flushed
      to standby servers, but some of the code didn't know that and
      waited for it to happen anyway.
    - Fix error handling in pg_basebackup.
    - Fix walsender to not go into a busy loop if connection is
      terminated.
    - Fix memory leak in PL/pgSQL's "RETURN NEXT" command.
    - Fix PL/pgSQL's "GET DIAGNOSTICS" command when the target is the
      function's first variable.
    - Ensure that PL/Perl package-qualifies the _TD variable.
      This bug caused trigger invocations to fail when they are nested
      within a function invocation that changes the current package.
    - Fix PL/Python functions returning composite types to accept a
      string for their result value.
      This case was accidentally broken by the 9.1 additions to allow a
      composite result value to be supplied in other formats, such as
      dictionaries.
    - Fix potential access off the end of memory in psql's expanded
      display ("\x") mode.
    - Fix several performance problems in pg_dump when the database
      contains many objects.
      pg_dump could get very slow if the database contained many schemas,
      or if many objects are in dependency loops, or if there are many
      owned sequences.
    - Fix memory and file descriptor leaks in pg_restore when reading a
      directory-format archive.
    - Fix pg_upgrade for the case that a database stored in a non-default
      tablespace contains a table in the cluster's default tablespace.
    - In ecpg, fix rare memory leaks and possible overwrite of one byte
      after the sqlca_t structure.
    - Fix "contrib/dblink"'s dblink_exec() to not leak temporary database
      connections upon error.
    - Fix "contrib/dblink" to report the correct connection name in error
      messages.
    - Fix "contrib/vacuumlo" to use multiple transactions when dropping
      many large objects.
      This change avoids exceeding max_locks_per_transaction when many
      objects need to be dropped. The behavior can be adjusted with the
      new -l (limit) option.
  * debian/control: Bump debhelper build dependency to >= 8, as it does not
    build with earlier versions.
  * debian/control: Move bzr branches to alioth, so that other members of
    pkg-postgresql can commit. Update Vcs-* tags.
  * debian/control: Set Maintainer: to pkg-postgresql group, and move myself
    to Uploaders:.

 -- Martin Pitt <mpitt@debian.org>  Mon, 04 Jun 2012 06:47:45 +0200

postgresql-9.1 (9.1.3-2) unstable; urgency=low

  * debian/control, debian/rules: Support and prefer dpkg-buildflags when
    building with dpkg-dev >= 1.16.1~. Fall back to hardening-wrapper
    otherwise, to keep supporting backports.
  * debian/rules: Build with "-z now" for some extra hardening. We can't use
    the full "hardening=+all", as PIE causes build failures.
  * debian/copyright: Fix syntax for copyright format 1.0.
  * debian/control: Bump Breaks/Replaces versions to current binary version,
    so that e. g. the moved pg_basebackup does not cause upgrade errors when
    upgrading from higher point releases in previous distro releases.
    (LP: #944632)

 -- Martin Pitt <mpitt@debian.org>  Tue, 06 Mar 2012 11:55:57 +0100

postgresql-9.1 (9.1.3-1) unstable; urgency=medium

  * Urgency medium due to security fixes.
  * New upstream security/bug fix release:
    - Require execute permission on the trigger function for "CREATE
      TRIGGER".
      This missing check could allow another user to execute a trigger
      function with forged input data, by installing it on a table he
      owns. This is only of significance for trigger functions marked
      SECURITY DEFINER, since otherwise trigger functions run as the
      table owner anyway. (CVE-2012-0866)
    - Remove arbitrary limitation on length of common name in SSL
      certificates.
      Both libpq and the server truncated the common name extracted from
      an SSL certificate at 32 bytes. Normally this would cause nothing
      worse than an unexpected verification failure, but there are some
      rather-implausible scenarios in which it might allow one
      certificate holder to impersonate another. The victim would have to
      have a common name exactly 32 bytes long, and the attacker would
      have to persuade a trusted CA to issue a certificate in which the
      common name has that string as a prefix. Impersonating a server
      would also require some additional exploit to redirect client
      connections. (CVE-2012-0867)
    - Convert newlines to spaces in names written in pg_dump comments.
      pg_dump was incautious about sanitizing object names that are
      emitted within SQL comments in its output script. A name containing
      a newline would at least render the script syntactically incorrect.
      Maliciously crafted object names could present a SQL injection risk
      when the script is reloaded. (CVE-2012-0868)
    - Fix btree index corruption from insertions concurrent with
      vacuuming.
      An index page split caused by an insertion could sometimes cause a
      concurrently-running "VACUUM" to miss removing index entries that
      it should remove. After the corresponding table rows are removed,
      the dangling index entries would cause errors (such as "could not
      read block N in file ...") or worse, silently wrong query results
      after unrelated rows are re-inserted at the now-free table
      locations. This bug has been present since release 8.2, but occurs
      so infrequently that it was not diagnosed until now. If you have
      reason to suspect that it has happened in your database, reindexing
      the affected index will fix things.
    - Fix transient zeroing of shared buffers during WAL replay.
      The replay logic would sometimes zero and refill a shared buffer,
      so that the contents were transiently invalid. In hot standby mode
      this can result in a query that's executing in parallel seeing
      garbage data. Various symptoms could result from that, but the most
      common one seems to be "invalid memory alloc request size".
    - Fix handling of data-modifying WITH subplans in READ COMMITTED
      rechecking.
      A WITH clause containing "INSERT"/"UPDATE"/"DELETE" would crash if
      the parent "UPDATE" or "DELETE" command needed to be re-evaluated
      at one or more rows due to concurrent updates in READ COMMITTED
      mode.
    - Fix corner case in SSI transaction cleanup.
      When finishing up a read-write serializable transaction, a crash
      could occur if all remaining active serializable transactions are
      read-only.
    - Fix postmaster to attempt restart after a hot-standby crash.
      A logic error caused the postmaster to terminate, rather than
      attempt to restart the cluster, if any backend process crashed
      while operating in hot standby mode.
    - Fix "CLUSTER"/"VACUUM FULL" handling of toast values owned by
      recently-updated rows.
      This oversight could lead to "duplicate key value violates unique
      constraint" errors being reported against the toast table's index
      during one of these commands.
    - Update per-column permissions, not only per-table permissions, when
      changing table owner.
      Failure to do this meant that any previously granted column
      permissions were still shown as having been granted by the old
      owner. This meant that neither the new owner nor a superuser could
      revoke the now-untraceable-to-table-owner permissions.
    - Support foreign data wrappers and foreign servers in "REASSIGN
      OWNED".
      This command failed with "unexpected classid" errors if it needed
      to change the ownership of any such objects.
    - Allow non-existent values for some settings in "ALTER USER/DATABASE
      SET".
      Allow default_text_search_config, default_tablespace, and
      temp_tablespaces to be set to names that are not known. This is
      because they might be known in another database where the setting
      is intended to be used, or for the tablespace cases because the
      tablespace might not be created yet. The same issue was previously
      recognized for search_path, and these settings now act like that
      one.
    - Fix "unsupported node type" error caused by COLLATE in an "INSERT"
      expression.
    - Avoid crashing when we have problems deleting table files
      post-commit.
      Dropping a table should lead to deleting the underlying disk files
      only after the transaction commits. In event of failure then (for
      instance, because of wrong file permissions) the code is supposed
      to just emit a warning message and go on, since it's too late to
      abort the transaction. This logic got broken as of release 8.4,
      causing such situations to result in a PANIC and an unrestartable
      database.
    - Recover from errors occurring during WAL replay of "DROP
      TABLESPACE".
      Replay will attempt to remove the tablespace's directories, but
      there are various reasons why this might fail (for example,
      incorrect ownership or permissions on those directories). Formerly
      the replay code would panic, rendering the database unrestartable
      without manual intervention. It seems better to log the problem and
      continue, since the only consequence of failure to remove the
      directories is some wasted disk space.
    - Fix race condition in logging AccessExclusiveLocks for hot standby.
      Sometimes a lock would be logged as being held by "transaction
      zero". This is at least known to produce assertion failures on
      slave servers, and might be the cause of more serious problems.
    - Track the OID counter correctly during WAL replay, even when it
      wraps around.
    - Prevent emitting misleading "consistent recovery state reached" log
      message at the beginning of crash recovery.
    - Fix initial value of pg_stat_replication.replay_location.
    - Fix regular expression back-references with - attached.
      Rather than enforcing an exact string match, the code would
      effectively accept any string that satisfies the pattern
      sub-expression referenced by the back-reference symbol.
      A similar problem still afflicts back-references that are embedded
      in a larger quantified expression, rather than being the immediate
      subject of the quantifier. This will be addressed in a future
      PostgreSQL release.
    - Fix recently-introduced memory leak in processing of inet/cidr
      values.
    - Fix planner's ability to push down index-expression restrictions
      through UNION ALL.
    - Fix planning of WITH clauses referenced in "UPDATE"/"DELETE" on an
      inherited table.
      This bug led to "could not find plan for CTE" failures.
    - Fix GIN cost estimation to handle column IN (...) index conditions.
      This oversight would usually lead to crashes if such a condition
      could be used with a GIN index.
    - Fix dangling pointer after "CREATE TABLE AS"/"SELECT INTO" in a
      SQL-language function.
      In most cases this only led to an assertion failure in
      assert-enabled builds, but worse consequences seem possible.
    - Fix I/O-conversion-related memory leaks in plpgsql.
    - Work around bug in perl's SvPVutf8() function.
      This function crashes when handed a typeglob or certain read-only
      objects such as $^V. Make plperl avoid passing those to it.
    - In pg_dump, don't dump contents of an extension's configuration
      tables if the extension itself is not being dumped.
    - Improve pg_dump's handling of inherited table columns.
      pg_dump mishandled situations where a child column has a different
      default expression than its parent column. If the default is
      textually identical to the parent's default, but not actually the
      same (for instance, because of schema search path differences) it
      would not be recognized as different, so that after dump and
      restore the child would be allowed to inherit the parent's default.
      Child columns that are NOT NULL where their parent is not could
      also be restored subtly incorrectly.
    - Fix pg_restore's direct-to-database mode for INSERT-style table data.
      Direct-to-database restores from archive files made with
      "--inserts" or "--column-inserts" options fail when using
      pg_restore from a release dated September or December 2011, as a
      result of an oversight in a fix for another problem. The archive
      file itself is not at fault, and text-mode output is okay.
    - Teach pg_upgrade to handle renaming of plpython's shared library.
      Upgrading a pre-9.1 database that included plpython would fail
      because of this oversight.
    - Allow pg_upgrade to process tables containing regclass columns.
      Since pg_upgrade now takes care to preserve pg_class OIDs, there
      was no longer any reason for this restriction.
    - Make libpq ignore ENOTDIR errors when looking for an SSL client
      certificate file.
      This allows SSL connections to be established, though without a
      certificate, even when the user's home directory is set to
      something like /dev/null.
    - Fix some more field alignment issues in ecpg's SQLDA area.
    - Allow AT option in ecpg DEALLOCATE statements.
      The infrastructure to support this has been there for awhile, but
      through an oversight there was still an error check rejecting the
      case.
    - Do not use the variable name when defining a varchar structure in
      ecpg.
    - Fix "contrib/auto_explain"'s JSON output mode to produce valid JSON.
    - Fix error in "contrib/intarray"'s int[] & int[] operator.
      If the smallest integer the two input arrays have in common is 1,
      and there are smaller values in either array, then 1 would be
      incorrectly omitted from the result.
    - Fix error detection in "contrib/pgcrypto"'s encrypt_iv() and
      decrypt_iv().
      These functions failed to report certain types of invalid-input
      errors, and would instead return random garbage values for
      incorrect input.
    - Fix one-byte buffer overrun in "contrib/test_parser".
      The code would try to read one more byte than it should, which
      would crash in corner cases. Since "contrib/test_parser" is only
      example code, this is not a security issue in itself, but bad
      example code is still bad.
    - Use __sync_lock_test_and_set() for spinlocks on ARM, if available.
      This function replaces our previous use of the SWPB instruction,
      which is deprecated and not available on ARMv6 and later. Reports
      suggest that the old code doesn't fail in an obvious way on recent
      ARM boards, but simply doesn't interlock concurrent accesses,
      leading to bizarre failures in multiprocess operation.
    - Use "-fexcess-precision=standard" option when building with gcc
      versions that accept it.
      This prevents assorted scenarios wherein recent versions of gcc
      will produce creative results.
    - Allow use of threaded Python on FreeBSD (Chris Rees)
      Our configure script previously believed that this combination
      wouldn't work; but FreeBSD fixed the problem, so remove that error
      check.
  * Drop 00git_inet_cidr_unpack.patch, 01-armel-tas.patch: Applied upstream.
  * debian/watch: Use ftp for checking, thanks Peter Eisentraut.
    (Closes: #656129)
  * debian/control: Bump Standards-Version to 3.9.3. No changes necessary.

 -- Martin Pitt <mpitt@debian.org>  Mon, 27 Feb 2012 07:30:59 +0100

postgresql-9.1 (9.1.2-4) unstable; urgency=low

  * Add docbook-xsl, opensp and xsltproc build dependencies.

 -- Martin Pitt <mpitt@debian.org>  Wed, 04 Jan 2012 11:57:36 +0100

postgresql-9.1 (9.1.2-3) unstable; urgency=low

  * debian/*.symbols: Update symbol versions to accurate historic data. Many
    thanks to Christoph Berg for these! (Closes: #652931)
  * Add 00git_inet_cidr_unpack.patch: Revert the behavior of inet/cidr
    functions to not unpack the arguments. This fixes the memory leak when
    sorting inet values. Patch taken from upstream git HEAD.
  * debian/control: Add missing docbook-dsssl build dependency to fix
    generation of documentation. (Closes: #654330)
  * debian/control: Use openjade instead of the ancient jade for building the
    documentation.

 -- Martin Pitt <mpitt@debian.org>  Tue, 03 Jan 2012 16:48:21 +0100

postgresql-9.1 (9.1.2-2) unstable; urgency=low

  * 01-armel-tas.patch: Turn slock_t datatype into an int, and define
    S_UNLOCK() to call __sync_lock_release() instead of using the default
    implementation. This complies to the gcc built-in atomic operations
    specifiction more strictly and now also works on the Panda boards.
    (LP: #904828)
  * Replace 01-armel-tas.patch with 01-atomic-builtins.patch to use
    gcc/intel atomic builtins if available. Drop the arm implementation as it
    does not work on newer thumb2/panda board.
  * Move PL/Python translations from -plpython-9.1 package to main
    postgresql-9.1 package, as they are also used by the -plpython3 extension.
    (Closes: #651837)
  * Move pg_basebackup from the server to the client package, it's a
    client-side program.
  * debian/control: Re-add bison and flex build dependencies, so that the
    generated and shipped Makefile.global gets non-empty BISON and FLEX
    values. (Closes: #647135)

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Dec 2011 12:07:54 +0100

postgresql-9.1 (9.1.2-1) unstable; urgency=low

  * New upstream bug fix release:
    - Fix bugs in information_schema.referential_constraints view.
      This view was being insufficiently careful about matching the
      foreign-key constraint to the depended-on primary or unique key
      constraint. That could result in failure to show a foreign key
      constraint at all, or showing it multiple times, or claiming that
      it depends on a different constraint than the one it really does.
      Since the view definition is installed by initdb, merely upgrading
      will not fix the problem. If you need to fix this in an existing
      installation, you can (as a superuser) drop the information_schema
      schema then re-create it by sourcing
      "SHAREDIR/information_schema.sql". (Run pg_config --sharedir if
      you're uncertain where "SHAREDIR" is.) This must be repeated in
      each database to be fixed.
    - Make "contrib/citext"'s upgrade script fix collations of citext
      columns and indexes.
      Existing citext columns and indexes aren't correctly marked as
      being of a collatable data type during pg_upgrade from a pre-9.1
      server. That leads to operations on them failing with errors such
      as "could not determine which collation to use for string
      comparison". This change allows them to be fixed by the same script
      that upgrades the citext module into a proper 9.1 extension during
      CREATE EXTENSION citext FROM unpackaged.
      If you have a previously-upgraded database that is suffering from
      this problem, and you already ran the "CREATE EXTENSION" command,
      you can manually run (as superuser) the "UPDATE" commands found at
      the end of "SHAREDIR/extension/citext--unpackaged--1.0.sql". (Run
      pg_config --sharedir if you're uncertain where "SHAREDIR" is.)
    - Fix possible crash during "UPDATE" or "DELETE" that joins to the
      output of a scalar-returning function.
    - Fix incorrect replay of WAL records for GIN index updates.
    - Fix TOAST-related data corruption during CREATE TABLE dest AS
      SELECT - FROM src or INSERT INTO dest SELECT * FROM src.
    - Fix possible failures during hot standby startup.
    - Start hot standby faster when initial snapshot is incomplete.
    - Fix race condition during toast table access from stale syscache
      entries. The typical symptom was transient errors like "missing chunk
      number 0 for toast value NNNNN in pg_toast_2619", where the cited toast
      table would always belong to a system catalog.
    - Track dependencies of functions on items used in parameter default
      expressions. Previously, a referenced object could be dropped without
      having dropped or modified the function, leading to misbehavior when
      the function was used. Note that merely installing this update will not
      fix the missing dependency entries; to do that, you'd need to
      "CREATE OR REPLACE" each such function afterwards. If you have
      functions whose defaults depend on non-built-in objects, doing so
      is recommended.
    - Fix incorrect management of placeholder variables in nestloop joins.
      This bug is known to lead to "variable not found in subplan target
      list" planner errors, and could possibly result in wrong query
      output when outer joins are involved.
    - Fix window functions that sort by expressions involving aggregates.
    - Fix "MergeAppend child's targetlist doesn't match MergeAppend"
      planner errors.
    - Fix index matching for operators with both collatable and
      noncollatable inputs. In 9.1.0, an indexable operator that has a
      non-collatable left-hand input type and a collatable right-hand input
      type would not be recognized as matching the left-hand column's index.
      An example is the hstore ? text operator.
    - Allow inlining of set-returning SQL functions with multiple OUT
      parameters.
    - Don't trust deferred-unique indexes for join removal.
    - Make DatumGetInetP() unpack inet datums that have a 1-byte header,
      and add a new macro, DatumGetInetPP(), that does not.
    - Improve locale support in money type's input and output.
      Aside from not supporting all standard lc_monetary formatting
      options, the input and output functions were inconsistent, meaning
      there were locales in which dumped money values could not be
      re-read.
    - Don't let transform_null_equals affect CASE foo WHEN NULL ...
      constructs.  transform_null_equals is only supposed to affect foo =
      NULL expressions written directly by the user, not equality checks
      generated internally by this form of CASE.
    - Change foreign-key trigger creation order to better support
      self-referential foreign keys.
    - Fix IF EXISTS to work correctly in "DROP OPERATOR FAMILY".
    - Disallow dropping of an extension from within its own script.
    - Don't mark auto-generated types as extension members.
    - Cope with invalid pre-existing search_path settings during "CREATE
      EXTENSION".
    - Avoid floating-point underflow while tracking buffer allocation
      rate.
    - Prevent autovacuum transactions from running in serializable mode.
      Autovacuum formerly used the cluster-wide default transaction
      isolation level, but there is no need for it to use anything higher
      than READ COMMITTED, and using SERIALIZABLE could result in
      unnecessary delays for other processes.
    - Ensure walsender processes respond promptly to SIGTERM.
    - Exclude "postmaster.opts" from base backups.
    - Fix incorrect field alignment in ecpg's SQLDA area.
    - Preserve blank lines within commands in psql's command history.
      The former behavior could cause problems if an empty line was
      removed from within a string literal, for example.
    - Avoid platform-specific infinite loop in pg_dump.
    - Fix compression of plain-text output format in pg_dump.
      pg_dump has historically understood -Z with no -F switch to mean
      that it should emit a gzip-compressed version of its plain text
      output. Restore that behavior.
    - Fix pg_dump to dump user-defined casts between auto-generated
      types, such as table rowtypes.
    - Fix missed quoting of foreign server names in pg_dump.
    - Assorted fixes for pg_upgrade. Handle exclusion constraints correctly,
      avoid failures on Windows, don't complain about mismatched toast table
      names in 8.4 databases.
    - In PL/pgSQL, allow foreign tables to define row types.
    - Fix up conversions of PL/Perl functions' results.
      Restore the pre-9.1 behavior that PL/Perl functions returning void
      ignore the result value of their last Perl statement; 9.1.0 would
      throw an error if that statement returned a reference. Also, make
      sure it works to return a string value for a composite type, so
      long as the string meets the type's input format. In addition,
      throw errors for attempts to return Perl arrays or hashes when the
      function's declared result type is not an array or composite type,
      respectively. (Pre-9.1 versions rather uselessly returned strings
      like ARRAY(0x221a9a0) or HASH(0x221aa90) in such cases.)
    - Ensure PL/Perl strings are always correctly UTF8-encoded.
    - Use the preferred version of xsubpp to build PL/Perl, not
      necessarily the operating system's main copy.
    - Correctly propagate SQLSTATE in PL/Python exceptions.
    - Do not install PL/Python extension files for Python major versions
      other than the one built against.
    - Change all the "contrib" extension script files to report a useful
      error message if they are fed to psql. This should help teach people
      about the new method of using "CREATE EXTENSION" to load these files.
      In most cases, sourcing the scripts directly would fail anyway, but
      with harder-to-interpret messages.
    - Fix incorrect coding in "contrib/dict_int" and "contrib/dict_xsyn".
    - Remove "contrib/sepgsql" tests from the regular regression test
      mechanism. Since these tests require root privileges for setup, they're
      impractical to run automatically. Switch over to a manual approach
      instead, and provide a testing script to help with that.
    - Fix assorted errors in "contrib/unaccent"'s configuration file
      parsing.
    - Honor query cancel interrupts promptly in pgstatindex().
    - Revert unintentional enabling of WAL_DEBUG. Fortunately, as debugging
      tools go, this one is pretty cheap; but it's not intended to be enabled
      by default, so revert.
    - Ensure VPATH builds properly install all server header files.
    - Shorten file names reported in verbose error messages.
      Regular builds have always reported just the name of the C file
      containing the error message call, but VPATH builds formerly
      reported an absolute path name.
  * debian/rules: Fix build failure for binary-indep-only builds.
    (Closes: #646079)

 -- Martin Pitt <mpitt@debian.org>  Fri, 02 Dec 2011 14:39:18 +0100

postgresql-9.1 (9.1.1-3) unstable; urgency=low

  * debian/rules: Build with LINUX_OOM_ADJ=0 on Linux, to allow the OOM killer
    to slay the backends when the postmaster gets marked as unkillable.
    (LP: #854590)

 -- Martin Pitt <mpitt@debian.org>  Wed, 19 Oct 2011 09:43:13 +0200

postgresql-9.1 (9.1.1-2) unstable; urgency=low

  [ Peter Eisentraut ]
  * Fix FTBFS twice with dpkg-dev >= 1.16.1, because of leftover file
    src/backend/gettext-files.  Clean that one explicitly. (Closes: #643645)
  * Fix lintian reports: (Closes: #643646)
    - brace-expansion-in-debhelper-config-file
    - maintainer-script-without-set-e

  [ Martin Pitt ]
  * debian/*.install, debian/rules: Compress manpages in debian/tmp instead of
    just two binary packages and forgetting the others.
  * Build a new postgresql-plpython3-9.1 package for Python 3 support. This
    requires some reorganization of debian/rules to do multiple builds.
  * debian/postgresql-9.1.postrm: Clean up /var/log/postgresql/ on purge.
    Spotted by piuparts.

 -- Martin Pitt <mpitt@debian.org>  Fri, 07 Oct 2011 18:52:55 +0200

postgresql-9.1 (9.1.1-1) unstable; urgency=low

  * New upstream bug fix release:
    - Make pg_options_to_table return NULL for an option with no value.
      Previously such cases would result in a server crash.
    - Fix memory leak at end of a GiST index scan.
      Commands that perform many separate GiST index scans, such as
      verification of a new GiST-based exclusion constraint on a table
      already containing many rows, could transiently require large
      amounts of memory due to this leak.
    - Fix explicit reference to pg_temp schema in "CREATE TEMPORARY
      TABLE". This used to be allowed, but failed in 9.1.0.

 -- Martin Pitt <mpitt@debian.org>  Mon, 26 Sep 2011 14:35:36 +0200

postgresql-9.1 (9.1.0-1) unstable; urgency=low

  * Final 9.1 release.
  * 02-relax-sslkey-permscheck.patch, 50-per-version-dirs.patch: Refresh to
    apply cleanly.
  * debian/control: Tighten the dependencies of the -pl* extensions/-contrib
    to postgresql-9.1 to the same binary version. (Closes: #640335)

 -- Martin Pitt <mpitt@debian.org>  Mon, 12 Sep 2011 16:02:28 +0200

postgresql-9.1 (9.1~rc1-3) unstable; urgency=low

  * debian/watch: Fix for mangling ~rc, thanks Peter Eisentraut.
    (Closes: #639357)
  * debian/control: Add versionless Provides: to the PL* extensions, as per
    request from Christoph Berg.
  * debian/control: Add "Replaces: postgresql-9.0-dbg" to fix file conflict.
    (Closes: #639258)
  * debian/control: Drop the versionless metapackages, they are built from
    postgresql-common now. This behaves better with backports. Thanks to
    Christoph Berg for the suggestion.

 -- Martin Pitt <mpitt@debian.org>  Sat, 27 Aug 2011 13:42:40 +0200

postgresql-9.1 (9.1~rc1-2) unstable; urgency=low

  * debian/control: Build the versionless metapackages again, and point them
    to 9.1.

 -- Martin Pitt <mpitt@debian.org>  Thu, 25 Aug 2011 12:50:45 +0200

postgresql-9.1 (9.1~rc1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable now that the final 9.1 release will come soon. 9.1 will
    most probably be the version supported in the Wheezy release.
  * 54-debian-alternatives-for-external-tools.patch: Unfuzz for new release.
  * debian/control: Suggest locales-all. (Closes: #629875)
  * debian/control: Wrap dependencies.
  * debian/control: Add explicit jade build dependency. (see #621492 for the
    corresponding 9.0 bug report)

 -- Martin Pitt <mpitt@debian.org>  Sun, 21 Aug 2011 20:59:58 +0200

postgresql-9.1 (9.1~beta3-1) experimental; urgency=low

  * New upstream beta release.
    - Works around gcc 4.6.0 bug. (Closes: #633086)

    Note that this does not change the data format since Beta 2, so no need
    to dump/reload clusters.

 -- Martin Pitt <mpitt@debian.org>  Thu, 14 Jul 2011 18:39:43 +0200

postgresql-9.1 (9.1~beta2-1) experimental; urgency=low

  * New upstream beta release.
  * Drop 03-cmsgcred-size.patch, fixed upstream.
  * debian/postgresql-9.1.install: Install new pg_basebackup translations.
  * debian/control: Fix the server-dev dependency to p-common to also work for
    backports.
  * debian/watch: Fix for beta versions.
  * debian/copyright: Add pointers to GPL and Artistic licenses for the Perl
    terms.
  * debian/postgresql-9.1.preinst: Fail the package upgrade early when
    upgrading from beta-1, as the DB format changed.

 -- Martin Pitt <mpitt@debian.org>  Tue, 14 Jun 2011 09:53:29 +0200

postgresql-9.1 (9.1~beta1-4) experimental; urgency=low

  * debian/control: Add postgresql-common dependency to -server-dev, so that
    we get the pg_config diversion.
  * 52-tutorial-README.patch: Fix server-dev version in comment.
  * 51-default-sockets-in-var.patch: Move the pg_regress patching parts to
    debian/pg_regress-in-tmp.patch and temporarily apply it only for running
    the local checks. In the installed system it seems we actually do want it
    to use the /var/run/postgresql socket dir. (Closes: #554166)

 -- Martin Pitt <mpitt@debian.org>  Sun, 29 May 2011 19:34:38 +0200

postgresql-9.1 (9.1~beta1-3) experimental; urgency=low

  * Move /usr/share/postgresql/9.1/extension/pl* from -contrib into the actual
    -pl* packages, and ship PL/pgsql in postgresql-9.1.
  * debian/copyright: Convert to DEP-5.
  * debian/copyright: Add current copyrights, thanks to Ansgar Burchardt for
    noticing.
  * Add 03-cmsgcred-size.patch: Fix size of struct cmsgcred to fix ident
    authentication on kFreeBSD 64 bit. Thanks to Petr Salinger for the
    patch! (Closes: #627597)

 -- Martin Pitt <mpitt@debian.org>  Sun, 22 May 2011 20:44:36 +0200

postgresql-9.1 (9.1~beta1-2) experimental; urgency=low

  * debian/control: Add missing ${misc:Depends} to -dbg.
  * Bump Standards-Version to 3.9.2 (no changes necessary).
  * debian/rules: Fix FTBFS with only-binary (-B) builds.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 11 May 2011 10:41:53 +0200

postgresql-9.1 (9.1~beta1-1) experimental; urgency=low

  * First 9.1 beta release. Packaging based on 9.1 branch.
  * debian/control: Do not build the versionless metapackages for now, as long
    as 9.0 is still the default.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 May 2011 09:18:56 +0200
